package com.foreverwin.mesnac.dispatch.dto;

import java.io.Serializable;
import java.time.LocalDate;

public class IssueItemDto implements Serializable {

    private String site;
    private String item;
    private String workOrder;
    private String resource;
    private String workCenter;
    private String shopOrder;
    private String dispatchNo;
    private Boolean matchResource;
    private LocalDate requiredFromDT;
    private LocalDate requiredToDT;
    private String spec;
    private String texture;

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item;
    }

    public String getWorkOrder() {
        return workOrder;
    }

    public void setWorkOrder(String workOrder) {
        this.workOrder = workOrder;
    }

    public String getResource() {
        return resource;
    }

    public void setResource(String resource) {
        this.resource = resource;
    }

    public String getWorkCenter() {
        return workCenter;
    }

    public void setWorkCenter(String workCenter) {
        this.workCenter = workCenter;
    }

    public String getShopOrder() {
        return shopOrder;
    }

    public void setShopOrder(String shopOrder) {
        this.shopOrder = shopOrder;
    }

    public String getDispatchNo() {
        return dispatchNo;
    }

    public void setDispatchNo(String dispatchNo) {
        this.dispatchNo = dispatchNo;
    }

    public Boolean getMatchResource() {
        return matchResource;
    }

    public void setMatchResource(Boolean matchResource) {
        this.matchResource = matchResource;
    }

    public LocalDate getRequiredFromDT() {
        return requiredFromDT;
    }

    public void setRequiredFromDT(LocalDate requiredFromDT) {
        this.requiredFromDT = requiredFromDT;
    }

    public LocalDate getRequiredToDT() {
        return requiredToDT;
    }

    public void setRequiredToDT(LocalDate requiredToDT) {
        this.requiredToDT = requiredToDT;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getTexture() {
        return texture;
    }

    public void setTexture(String texture) {
        this.texture = texture;
    }
}
